<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
  mturk/index.php
  Jonathan Gordon, 2010-03-03
-->

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<title>Mechanical Turk Hit Description</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" media="all" href="style.css" />

<script type="text/javascript">
/* <![CDATA[ */
function verify(f)
{
	var e, found;
	var errors = false;

	for (var i = 0; i < f.length; i++) {
		e = f.elements[i];
		if (e.type == "radio") {
			var radios = document.getElementsByName(e.name);
			found = false;
			for (var j = 0; j < radios.length; j++) {
				if (radios[j].checked) {
					found = true;
					break;
				}
			}
			if (found == false) {
				errors = true;
			}
		}
	}
	if (errors == false) {
		return true;
	} else {
		alert("You must answer all questions before you can submit. Please check your answers.");
		return false;
	}
}
/* ]]> */
</script>
</head>

<body>

<form id="mturk_form" method="post" onsubmit="return verify(this);" <?php
if ($_SERVER['HTTP_REFERER'] && strstr($_SERVER['HTTP_REFERER'],
	"workersandbox")) {
	echo 'action="http://workersandbox.mturk.com/mturk/externalSubmit">';
} else {
    echo 'action="http://www.mturk.com/mturk/externalSubmit">';
}
?>


<div>
<input type="hidden" id="assignmentId" name="assignmentId"
	value="<?php echo $_REQUEST['assignmentId']?>" />

<input type="hidden" id="turkId" name="turkId"
	value="<?php echo $_REQUEST['workerId']?>" />
</div>

<div class="section">
<a name="instructions">
</a>

<h2>Instructions</h2>

	 <p>You&rsquo;ll be asked whether you think statements express good commonsense knowledge. Here are some examples of what to look for:</p>

<blockquote>
<p><strong><em>Good</em> statements:</strong></p>
<ul>
<li><span class="factoid" style="color: green">A SONG CAN BE POPULAR</span></li>
<li><span class="factoid" style="color: green">A PERSON MAY HAVE A HEAD</span></li>
<li><span class="factoid" style="color: green">MANEUVERS MAY BE HOLD -ED IN SECRET</span><br />
It&rsquo;s fine if verb conjugations are not attached or are a bit unnatural, e.g.
&ldquo;hold&nbsp;-ed&rdquo; instead of &ldquo;held&rdquo;.</li>
</ul>

<p><strong><em>Bad</em> statements:</strong></p>
<ul>
<li><span class="factoid" style="color: red">A THING MAY SEEK A WAY</span><br />
This is <em>too vague</em>. What sort of thing? A way for/to what?</li>
<li><span class="factoid" style="color: red">A COCKTAIL PARTY CAN BE AT SCOTCH_PLAINS_COUNTRY_CLUB</span><br />
This is <em>too specific</em>. We want to know that a cocktail party can be at
a country club, not at this particular one. The
underscores are not a problem.</li>
<li><span class="factoid" style="color: red">A PIG MAY FLY</span><br />
This is <em>not literally true</em> even though it happens to be an
expression.</li>
<li><span class="factoid" style="color: red">A WORD MAY MEAN</span><br />
This is <em>missing information</em>. What might a word mean?</li>
</ul>
</blockquote>

<p>Answers will be analyzed statistically, and random, unreliable answers will
not be approved.</p>
</div>

<?php
if ($_REQUEST['assignmentId'] == "ASSIGNMENT_ID_NOT_AVAILABLE") {
?>
<div class="section">
<h3>This is preview mode. Please accept the HIT
before doing it.</h3>
</div>
<?php
}
?>

<div class="section">

<input type="hidden" id="location" name="location" value="<?php
$geo = unserialize(file_get_contents('http://www.geoplugin.net/php.gp?ip='.$_SERVER['REMOTE_ADDR']));
echo $geo['geoplugin_city'] . " , " . $geo['geoplugin_region'] . " , " . $geo['geoplugin_countryName'];
?>
" />

<?php

$file_vbd = @fopen($_REQUEST['f'] . ".vbd", "r");
#$file_prp = file($_REQUEST['f'] . ".prp");

#if (!$file_prp) {
#	echo "There has been an error. Please notify jgordon@cs.rochester.edu.";
#}

echo "<dl>\n";

$linenum = -1;

while (!feof($file_vbd)) {
	$linenum++;
	$line = trim(fgets($file_vbd, 4096));
	if (!$line)
		break;

	if (($linenum > 0) && ($linenum % 10) == 0) {
		echo "</dl><p style='font-size: 14pt'>Please take a moment to reread
		the <a href='#instructions'>instructions</a> at the top of the page
		before you continue.</p><dl>";
	}

	echo "<dt><span class='factoid'>" . $line . "</span></dt>\n";
#	$bar = split(" ", $file_prp[$linenum], 3);
#	$id = $bar[1];
	$id = $_REQUEST['f'] . ":" . $linenum;

	echo "<dd>";
	echo "<p>Do you agree this is a good statement of general knowledge?</p>";

	echo "<input type='radio' name='$id' value='5'";
	if ($_REQUEST['assignmentId'] == "ASSIGNMENT_ID_NOT_AVAILABLE") {
		echo ' disabled="disabled"';
	}
	echo " />I <span style='color: red; font-weight: bold'>disagree</span> <br />\n";


	echo "<input type='radio' name='$id' value='4'";
	if ($_REQUEST['assignmentId'] == "ASSIGNMENT_ID_NOT_AVAILABLE") {
		echo ' disabled="disabled"';
	}
	echo " />I lean towards <span style='color: red'>disagreement</span> <br />\n";

	echo "<input type='radio' name='$id' value='3'";
    if ($_REQUEST['assignmentId'] == "ASSIGNMENT_ID_NOT_AVAILABLE") {
        echo ' disabled="disabled"';
    }
	echo " />I&rsquo;m not sure <br />\n";

	echo "<input type='radio' name='$id' value='2'";
    if ($_REQUEST['assignmentId'] == "ASSIGNMENT_ID_NOT_AVAILABLE") {
        echo ' disabled="disabled"';
    }
	echo " />I lean towards <span style='color: green'>agreement</span> <br />\n";

	echo "<input type='radio' name='$id' value='1'";
    if ($_REQUEST['assignmentId'] == "ASSIGNMENT_ID_NOT_AVAILABLE") {
        echo ' disabled="disabled"';
    }
    echo " />I <span style='color: green; font-weight: bold'>agree</span> \n";

	echo "</dd>\n\n";

}

echo "</dl>\n";

fclose($file_vbd);
?>

</div>

<div class="section">
<p><input id="submitButton" type="submit" name="Submit" value="Submit"
	<?php
	  if ($_REQUEST['workerId'] == "" || $_REQUEST['assignmentId'] ==
	  'ASSIGNMENT_ID_NOT_AVAILABLE') {
	  	echo 'onclick="alert(\'Please accept this HIT before continuing.\');
	  	return false;"';
	  }
	?>
/></p>
</div>
</form>

</body>

</html>
